SoNonIndexedShape(3)

NAME
SoNonIndexedShape - The SoNonIndexedShape class is the superclass for all non-indexed vertex based shapes.

SYNOPSIS

#include <Inventor/nodes/SoNonIndexedShape.h>

Inherits SoVertexShape.

Inherited by SoFaceSet, SoLineSet, SoPointSet, SoQuadMesh, and SoTriangleStripSet.

  Public Member Functions
virtual SoType getTypeId (void) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)

  Public Attributes
SoSFInt32 startIndex

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
SoNonIndexedShape (void)
virtual ~SoNonIndexedShape ()
void computeCoordBBox (SoAction *action, int numVertices, SbBox3f &box, SbVec3f &center)
void fixNumVerticesPointers (SoState *state, const int32_t *&start, const int32_t *&end, int32_t *dummyarray) const

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoNonIndexedShape class is the superclass for all non-indexed vertex based shapes. It contains the (now obsoleted) startIndex field and a convenience method for calculating the bounding box.

Constructor & Destructor Documentation

  SoNonIndexedShape::SoNonIndexedShape (void) [protected]
Constructor.

  SoNonIndexedShape::~SoNonIndexedShape () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoNonIndexedShape::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoNonIndexedShape::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoVertexShape.

Reimplemented in SoFaceSet, SoLineSet, SoMarkerSet, SoPointSet, SoQuadMesh, and SoTriangleStripSet.

  const SoFieldData ** SoNonIndexedShape::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoNonIndexedShape::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoVertexShape.

Reimplemented in SoFaceSet, SoLineSet, SoMarkerSet, SoPointSet, SoQuadMesh, and SoTriangleStripSet.

  void SoNonIndexedShape::initClass (void) [static]

  void SoNonIndexedShape::computeCoordBBox (SoAction * action, int numVertices, SbBox3f & box, SbVec3f & center) [protected]
This method is provided as a convenient means for the subclasses of this class to find their bounding box and center value.

The returned bounding box will enclose all vertices from startIndex up to startIndex + numVertices. If numVertices is less than zero, all vertices in the current coordinate element or vertex property node will be used in the calculation.

The center point will be calculated as the average of all the vertices in the bounding box.

  void SoNonIndexedShape::fixNumVerticesPointers (SoState * state, const int32_t *& start, const int32_t *& end, int32_t * dummyarray) const [protected]
Convenience method that might adjust start and end pointers, which should point at the start and end of the numVertices array when calling this method. This takes care of the case where numVertices contains a single -1, and all coordinates in the state (or in the vertexProperty field) should be rendered as one primitive.

dummyarray should be a temporary array, with room for one integer.

Not part of the OIV API.

Member Data Documentation

  SoSFInt32 SoNonIndexedShape::startIndex
Coordinates are fetched from this index on. This field is now obsoleted, and is provided only for backward compatibility.

Author

Generated automatically by Doxygen for Coin from the source code.